IF OBJECT_ID('EST_PROD_PRECIFICACAO_PRC_FLEXIVEL') IS NULL
BEGIN
CREATE TABLE [dbo].[EST_PROD_PRECIFICACAO_PRC_FLEXIVEL](
	[CD_EMP] [int] NOT NULL,
	[CD_GRUPO] [int] NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
 CONSTRAINT [PK_EST_PROD_PRECIFICACAO_PRC_FLEXIVEL] PRIMARY KEY CLUSTERED 
(
	[CD_EMP] ASC,
	[CD_GRUPO] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]


ALTER TABLE [dbo].[EST_PROD_PRECIFICACAO_PRC_FLEXIVEL] ADD  CONSTRAINT [DF_EST_PROD_PRECIFICACAO_PRC_FLEXIVEL_CD_EMP]  DEFAULT ((0)) FOR [CD_EMP]

ALTER TABLE [dbo].[EST_PROD_PRECIFICACAO_PRC_FLEXIVEL] ADD  CONSTRAINT [DF_EST_PROD_PRECIFICACAO_PRC_FLEXIVEL_CD_GRUPO]  DEFAULT ((0)) FOR [CD_GRUPO]

ALTER TABLE [dbo].[EST_PROD_PRECIFICACAO_PRC_FLEXIVEL] ADD  CONSTRAINT [DF_EST_PROD_PRECIFICACAO_PRC_FLEXIVEL_CD_USU]  DEFAULT ((0)) FOR [CD_USU]
END

